<ng-miam-modal 
  [isAngularComponent]="true" 
  [noHeaderMode]="true"
  [(expanded)]="show"
  [noHeaderMode]='!previewMode' 
  [title]="previewMode ? '1 repas ajouté à votre liste :' : ''"
  [cancelButtonText]="previewMode ? 'Retirer le repas' : ''"
  [confirmButtonText]="previewMode ? 'Ok, continuer mes courses' : ''"
  (close)="hide()"
  (cancel)="removeRecipe()"
  (confirm)="hide()"
>
  <ng-miam-recipe-details
    #details
    *ngIf="recipe && !previewMode"
    [recipe]="recipe"
    (recipeAdded)="togglePreviewMode()"
    (recipeChanged)="recipeChanged()"
    (recipeError)="hide()"
  ></ng-miam-recipe-details>

  <div class="miam-wrapper-preview" *ngIf="previewMode">
    <ng-miam-basket-preview-block
      [recipeId]="recipe && recipe.id"
    ></ng-miam-basket-preview-block>
  </div>
</ng-miam-modal>